Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessible.Action

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAccessible.Action

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAccessible

    public static final class QAccessible.Action

extends java.lang.Enum
implements QtEnumerator

This enum describes the possible types of action that can occur.

See Also:
  Serialized Form

Field Summary
`static QAccessible.Action` | `Accept`
`static QAccessible.Action` | `AddToSelection`
`static QAccessible.Action` | `Cancel`
`static QAccessible.Action` | `ClearSelection`
`static QAccessible.Action` | `Decrease`
`static QAccessible.Action` | `DefaultAction`
`static QAccessible.Action` | `ExtendSelection`
`static QAccessible.Action` | `Increase`
`static QAccessible.Action` | `Press`
`static QAccessible.Action` | `RemoveSelection`
`static QAccessible.Action` | `Select`
`static QAccessible.Action` | `SetFocus`

Method Summary
`static QAccessible.Action` | `resolve(int value)` Returns the QAccessible$Action constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.Action` | `valueOf(java.lang.String name)`
`static QAccessible.Action[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DefaultAction

    public static final QAccessible.Action DefaultAction

### Press

    public static final QAccessible.Action Press

### SetFocus

    public static final QAccessible.Action SetFocus

### Increase

    public static final QAccessible.Action Increase

### Decrease

    public static final QAccessible.Action Decrease

### Accept

    public static final QAccessible.Action Accept

### Cancel

    public static final QAccessible.Action Cancel

### Select

    public static final QAccessible.Action Select

### ClearSelection

    public static final QAccessible.Action ClearSelection

### RemoveSelection

    public static final QAccessible.Action RemoveSelection

### ExtendSelection

    public static final QAccessible.Action ExtendSelection

### AddToSelection

    public static final QAccessible.Action AddToSelection

Method Detail

### values

    public static QAccessible.Action[] values()

### valueOf

    public static QAccessible.Action valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAccessible.Action resolve(int value)

  Returns the QAccessible$Action constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD